/////////////////////////////////////////////////////////////////////////
#ifndef __CINT__
#include "RooGlobalFunc.h"
#endif
#include "RooRealVar.h"
#include "RooStats/SPlot.h"
#include "RooDataSet.h"
#include "RooRealVar.h"
#include "RooGaussian.h"
#include "RooExponential.h"
#include "RooChebychev.h"
#include "RooAddPdf.h"
#include "RooProdPdf.h"
#include "RooAddition.h"
#include "RooProduct.h"
#include "TCanvas.h"
#include "RooAbsPdf.h"
#include "RooFit.h"
#include "RooFitResult.h"
#include "RooWorkspace.h"
#include "RooConstVar.h"
#include "/home/jyzhang/Tools/test_RooPdf_forGPU/inc/RooTestPdf.hh"
using namespace RooFit ;

void gen_toy(){
    gSystem->Load("libPhysics");
    R__LOAD_LIBRARY(/home/jyzhang/Tools/test_RooPdf_forGPU/lib/libRBW.so);
    // Creat instance of RooTestPdf
    RooRealVar Theta1("Theta1","Theta1",0.0,1.0);
    RooRealVar Theta2("Theta2","Theta2",0.0,1.0);
    RooRealVar a1("a1","a1",0.756);
    RooRealVar a2("a2","a2",0.323);
    RooTestPdf pdf("pdf","pdf",Theta1,Theta2,a1,a2,true,1);
    // Generate toy data
    pdf.toyMC(1e5, "./toy_data.dat", 178, 1);
    // Generate toy phspMC
    pdf.toyMC(3e6, "./toy_phsp.dat", 245, 0);
    return;
}
